/* GUTS - gUnrealTools
 * Copyright (C)2005 Jeffrey Bakker

 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   ___________________________________ .. .
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "interface.h"
#include "support.h"


/*** main *********************************************************************/
int
main (int argc, char *argv[])
{
	GtkWidget	*ToolsWnd;
	gchar		*RcFile;
	gchar		*MakeRc;

	gnome_program_init (PACKAGE, VERSION, LIBGNOMEUI_MODULE,
						argc, argv,
						GNOME_PARAM_APP_DATADIR, PACKAGE_DATA_DIR,
						NULL);

/*	gtk_window_set_default_icon_from_file(PACKAGE_DATA_DIR "/" PACKAGE "/pixmaps/gunrealtools-icon.png", NULL);
*/
	RcFile = g_strdup_printf("%s/.gutsrc", getenv("HOME"));

	if(!g_file_test(RcFile, G_FILE_TEST_EXISTS))
	{
		MakeRc = g_strdup_printf("sh %s/%s/gutsconfig.sh %s/%s",
					PACKAGE_DATA_DIR, PACKAGE,
					PACKAGE_DATA_DIR, PACKAGE);
		system(MakeRc);

/*		guts_message_dialog("This your first time running GUTS...creating ~/.gutsrc file.\nIf UT200x version is uninitialized, edit ~/.gutsrc.");
*/
		g_free(MakeRc);
	}
	ToolsWnd = create_gUnrealToolsWnd();
	gtk_widget_show(ToolsWnd);

	gtk_main();
	return 0;
}
/******************************************************************************/
