#!/usr/bin/perl -w

 # GUTS - gUnrealTools
 # Copyright (C)2005 Jeffrey Bakker

 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.

 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.

 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 # This script is used to gather the information, in which reveals
 # the complete path to execute UT200x. GUTS will use this information
 # to determine which games are installed, and how to launch it.


use strict;

my $line;
my $ut2004;
my $build4r = "n/a";


if(system("which ut2004 1>/dev/null") != 0)
{
	$ut2004 = "n/a";
}
else
{
	($ut2004 = `ls -l \`which ut2004\``) =~ s/.*->\s{0,}//g;
	chomp $ut2004;
	$ut2004 =~ s!/ut2004$!!;
	$ut2004 =~ s!/$!!;

	open(LOG4, "<$ENV{'HOME'}/.ut2004/System/UT2004.log");
	my @log4 = <LOG4>;
	close(LOG4);

	foreach $line (@log4)
	{
		if($line =~ m/Init: Version: /)
		{
			$build4r = $line;
#			print $line;
		}
	}
	if($build4r ne "n/a")
	{
		$build4r =~ s/Init: Version: ([0-9][0-9][0-9][0-9]) .*/$1/;
		chomp $build4r;
	}
	else
	{
		print "UT2004 Retail is installed, but you need to run it as this current user at least once first to create a log file. You also need to re-run this script in order to benchmark this game with UMark.\n";
		$ut2004 = "n/a";
	}
}

chomp $ut2004;
print "UT2004 Retail Version $build4r installed in $ut2004\n";

open(GUTSRC, ">$ENV{'HOME'}/.gutsrc");
select(GUTSRC);

print "$ut2004";
close(GUTSRC);
